recCompSize {ScISI} | R Documentation

## A function that records the relative sizes of complex C-i from one bipartite graph with complex K-j from a different bipartite graph.

### Description

This function takes two bipartite graph matrices, bg1 and bg2. For each complex C-i of bg1, we find the relative size of C-i for every complex K-j of bg2. A matrix of these ratios is returned with all cardinalities of C-i as the numerators and K-j as denominators. A second matrix is calculated where the cardinality of K-j is the numerator and C-i is the denominator.

### Usage

    recCompSize(bg1, bg2)

### Arguments

`bg1` | The first bipartite graph as an incidence matrix
`bg2` | The second bipartite graph as an incidence matrix

### Value

The return value is a list:

`OneOverTwo` | The matrix where the cardinalities of complexes from bg1 are numerators.
`TwoOverOne` | Matrix where cardinalities of complexes from bg2 are numerators.

### Author(s)

Tony Chiang

### Examples

    #go = getGOInfo(wantAllComplexes = FALSE)
    #goM = createGOMatrix(go)
    #mips = getMipsInfo(wantSubComplexes = FALSE)
    #mipsM = createMipsMatrix(mips)
    #recCompSize(goM, mipsM)

[Package ScISI version 1.16.0 Index]